import '/components/templates_components/welcome_template_component/welcome_template_component_widget.dart';
import '/flutter_flow/flutter_flow_util.dart';
import 'welcome_page_widget.dart' show WelcomePage;
import 'package:flutter/material.dart';

class WelcomePageModel extends FlutterFlowModel<WelcomePage> {
  ///  Local state fields for this page.

  String toggleIdx = 'welcome';

  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // Model for welcomeTemplateComponent component.
  late WelcomeTemplateComponentModel welcomeTemplateComponentModel;

  @override
  void initState(BuildContext context) {
    welcomeTemplateComponentModel =
        createModel(context, () => WelcomeTemplateComponentModel());
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    welcomeTemplateComponentModel.dispose();
  }
}
